Subject: RE: WebDAV Invalidation (Was Re: Allow: header and supported meth ods)

From: "Dyer, Kevin" <[email-masked]>
Date: Wed, 12 Sep 2001 10:12:27 -0400

All on this thread,

Let me boil this down to what I consider the essence of this thread.
This entire discussion on publish-Subscribe to notification of events, 
or the automatic enrollment in a notification event because of the user, 
e.g. owner, is the genesis of a workflow/lifecycle module within the 
WebDAV server.

Am I off base here? When you peel enough layers off of this discussion, 
isn't workflow/lifecycle at the heart of it? Except for the simple case 
where a single item is modified, but even that needs to have exceptions.

			Kevin

> -----Original Message-----
> From: Lisa Dusseault [mailto:[email-masked]]
> Sent: Friday, September 07, 2001 12:46 PM
> To: Jösh Cohen; [email-masked]; [email-masked];
> [email-masked]
> Subject: RE: WebDAV Invalidation (Was Re: Allow: header and supported
> methods)
> 
> 
> I agree that limiting the scope carefully is the best way to 
> successfully
> navigate the BOF process.
> 
> lisa
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]On Behalf Of Jösh Cohen
> > Sent: Friday, September 07, 2001 5:05 AM
> > To: [email-masked]; [email-masked];
> > [email-masked]
> > Subject: RE: WebDAV Invalidation (Was Re: Allow: header and 
> supported
> > methods)
> >
> >
> > I think thats a good idea to have a BOF.
> > What Id like to see most importantly is a
> > focused, and narrow scope.  In my mind,
> > this is a mechanism for subscribing to
> > and receiving specific change events on
> > web resources, within the existing web
> > infrastructure that integrates with DAV.
> >
> >
> > ---
> > Josh
> >
> >
> >
> > >From: "Jim Amsden" <[email-masked]>
> > >To: [email-masked], [email-masked]
> > >Subject: RE: WebDAV Invalidation (Was Re: Allow: header 
> and supported
> > >methods)
> > >Date: Thu, 6 Sep 2001 20:40:25 -0400
> > >
> > >I'll schedule a BOF at the next IETF meeting. If there's 
> enough interest,
> > >we can create a proposed charter and petition the area directors
> > for a new
> > >working group.
> > >
> > >
> > >
> > >
> > >
> > >
> > >"Lisa Dusseault" <[email-masked]>
> > >Sent by: [email-masked]
> > >09/06/2001 06:21 PM
> > >
> > >
> > >         To:     =?iso-8859-1?Q?J=F6sh_Cohen?= 
> <[email-masked]>,
> > ><[email-masked]>, <[email-masked]>
> > >         cc:     "Webdav WG" <[email-masked]>
> > >         Subject:        RE: WebDAV Invalidation (Was Re: Allow:
> > header and
> > >supported methods)
> > >
> > >
> > >
> > >I'd definitely be interested in working on notifications.  
> We'd like
> > >clients
> > >to be able to know about events like the ones you suggest, plus:
> > >  - new resource in collection I'm subscribed to
> > >  - Access control change in resource I'm subscribed to
> > >  - New version in VCR (similar to your update/last-modified
> > event, perhaps
> > >equivalent)
> > >
> > >How do we proceed?
> > >
> > >lisa
> > >
> > > > -----Original Message-----
> > > > From: [email-masked]
> > > > [mailto:[email-masked]]On Behalf Of 
> Jösh Cohen
> > > > Sent: Wednesday, August 29, 2001 12:26 PM
> > > > To: [email-masked]; [email-masked]
> > > > Subject: Re: WebDAV Invalidation (Was Re: Allow: header 
> and supported
> > > > methods)
> > > >
> > > >
> > > > While Im nervous about trying to boil the ocean
> > > > in the form of a 'general notifications protocol', Im
> > > > wondering what people think about including the ability
> > > > to subscribe to events on resources?
> > > > By this I mean, in short, being able to subscribe
> > > > to a resource, such that when things happen to it,
> > > > such as:
> > > > o  property change
> > > > o  update (last modified)
> > > > o  invalidate
> > > > o  lock expiration / lock override
> > > > o  deleted
> > > >
> > > > a subscribed entity would receive a notification.
> > > >
> > > > There's been some relevant work here in the form of
> > > > an HTTP extension (SUBSCRIBE/NOTIFY methods) in the past
> > > > to deal with some of these issues.  It was work that
> > > > was previously done in the context of using HTTP for IM
> > > > and it quite similar to the SIP subscription extensions.
> > > >
> > > > Does this sound at all like something the group
> > > > would be interested in taking a closer look at ?
> > > >
> > > > thanks,
> > > >
> > > > ---
> > > > Josh
> > > >
> > > >
> > > >
> > > > >From: "Eckhard Kantz" <[email-masked]>
> > > > >To: <[email-masked]>
> > > > >Subject: Re: WebDAV Invalidation (Was Re: Allow: 
> header and supported
> > > > >methods)
> > > > >Date: Wed, 22 Aug 2001 21:40:39 +0200
> > > > >
> > > > >The protocol described in the ESI document allows to invalidate
> > > > documents
> > > > >that have been downloaded
> > > > >to a local machine by applying a push technology. This could
> > > > solve already
> > > > >several conflict
> > > > >situations or even partly prevent problems.
> > > > >
> > > > >On the other hand there seems to be an increasing need for more
> > > > >fine-grained notification services
> > > > >that extend the traditional access control systems. 
> Picture 1 in the
> > > > >following longer article tries
> > > > >to classify them:
> > > > >
> > > > >"Beyond 'Yes or No' - Extending Access Control in 
> Groupware with
> > > > >Negotiation and Awareness"
> > > > >(http://www.informatik.uni-bonn.de/~os/Publications/COOP98a.ps)
> > > > >
> > > > >Maybe those needs are also worth discussing if they could be
> > > > supported in
> > > > >the spec in order to allow
> > > > >applications to build up on them. The invalidation protocol
> > > > seems to be a
> > > > >good basis also for this.
> > > > >
> > > > >Eckhard
> > > > >
> > > > >
> > > > >-----Ursprüngliche Nachricht-----
> > > > >Von: Eric Sedlar
> > > > >An: [email-masked]
> > > > >Gesendet: Dienstag, 21. August 2001 19:00
> > > > >Betreff: WebDAV Invalidation (Was Re: Allow: header and
> > > > supported methods)
> > > > >
> > > > >
> > > > >Check out
> > > > >http://www.esi.org/invalidation_protocol_1-0.html for some work
> > > > that looks
> > > > >pretty similar
> > > > >to what we are talking about.
> > > > >
> > > > >--Eric
> > > > >
> > > >
> > > >
> > > > 
> _________________________________________________________________
> > > > Get your FREE download of MSN Explorer at
> > >http://explorer.msn.com/intl.asp
> > >
> > >
> > >
> > >
> >
> >
> > _________________________________________________________________
> > Get your FREE download of MSN Explorer at
> > http://explorer.msn.com/intl.asp
>